aboutsummaryrefslogtreecommitdiffstats
path: root/recipes-support-ivi/ntp/files/ntp
diff options
context:
space:
mode:
Diffstat (limited to 'recipes-support-ivi/ntp/files/ntp')
-rw-r--r--recipes-support-ivi/ntp/files/ntp31
1 files changed, 31 insertions, 0 deletions
diff --git a/recipes-support-ivi/ntp/files/ntp b/recipes-support-ivi/ntp/files/ntp
new file mode 100644
index 0000000..e943d66
--- /dev/null
+++ b/recipes-support-ivi/ntp/files/ntp
@@ -0,0 +1,31 @@
+#! /bin/sh
+
+FLAGS="defaults 23"
+
+test -f /usr/bin/ntpd || exit 0
+
+case "$1" in
+ start)
+ echo -n "Starting NTP server: ntpd"
+ start-stop-daemon --start --quiet --exec /usr/bin/ntpd
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping NTP server: ntpd"
+ start-stop-daemon --stop --quiet --exec /usr/bin/ntpd
+ echo "."
+ ;;
+ restart|force-reload)
+ echo -n "Restarting NTP server: ntpd... "
+ start-stop-daemon --stop --quiet --exec /usr/bin/ntpd
+ sleep 2
+ start-stop-daemon --start --quiet --exec /usr/bin/ntpd
+ echo "done."
+ ;;
+ *)
+ echo "Usage: /etc/init.d/ntp {start|stop|restart|force-reload}"
+ exit 1
+ ;;
+esac
+
+exit 0